/**
 * apeman template of locale files.
 * @memberof module:apeman-tmpl-locale/lib
 * @function load
 * @param {object} params - Template params.
 * @param {string} type - Template type.
 * @param {string} [mode='644'] - File permission.
 * @param {boolean} [force=false] - Override or not.
 * @returns {object} - Coz bud configuration.
 */

'use strict'

const fs = require('fs')

/** @lends load */
function load (params, mode = '644', force = false) {
  return {
    force,
    mode,
    tmpl: fs.readFileSync(__dirname + '/../asset/index.hbs').toString(),
    data: {
      params,
      name: params.name,
      default: params.default || 'en',
      generator: 'apeman-tmpl',
      today: new Date().toLocaleDateString(),
      pkg: require('../package.json')
    }
  }
}

module.exports = load;
